package ink.wgink.login.oauth2.server.controller.route;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: OAuth2ClientRouteController
 * @Description: oAuth2客户端
 * @Author: wanggeng
 * @Date: 2021/9/15 9:36 下午
 * @Version: 1.0
 */
@Api(tags = ISystemConstant.API_TAGS_APP_ROUTE_PREFIX + "Oauth客户端")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/oauth2client")
public class OAuth2ClientRouteController {

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("oauth2client/list");
    }

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("oauth2client/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("oauth2client/update");
    }

}
